Subject: Re: bug#52467: 29.0.50; Use pop-to-buffer for shell

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 27 Dec 2021 13:01:53 +0100

<[email-masked]> writes:

> It is user configurable through 'display-buffer-alist, see my other
> reply to this thread. To prevent creation of duplicate windows showing
> the same shell buffer, do
>
>    (add-to-list 'display-buffer-alist
>                 '("\\`\\*shell\\*" display-buffer-reuse-window))

Yup.

> I'm personally against adding such an user option.
>
> If it were added for M-x shell, eshell and term, the same reasoning
> could be used to add it for M-x run-scheme, dired, dunnet and all the
> other places using 'pop-to-buffer-same-window'. This would add up to a
> lot of variables for little benefit since we can already customize
> window pop-up behaviour of all these commands with
> 'display-buffer-alist'.

Indeed.  So I don't think there's anything that needs to be done here --
the user can customise the behaviour here on a fine grained basis
already, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no